Get SKU details

This endpoint returns an array of SKUs whose Ids were specified in the skuIds
parameter. SKUs that could be found are returned in the results array in the
response. SKUs that could not be found are indicated in the errors array.

This endpoint will return additional information about a specific SKU or set of SKUs. Many endpoints return the SKU as "productConditionId".

{
    "success": true,
    "errors": [
    "string"
    ],
    "results": [
        {
            "skuId": 0
            "productId": 0
            "languageId": 0
            "printingId": 0
            "conditionId": 0
        }
    ]
}
/catalog/skus/2999637

{
    "success": true,
    "errors": [],
    "results": [
        {
            "skuId": 2999637,
            "productId": 42346,
            "languageId": 1,
            "variantId": 11,
            "conditionId": 1
        }
    ]
}
/catalog/skus/2999708,255924

{
    "success": true,
    "errors": [],
    "results": [
        {
            "skuId": 255924,
            "productId": 28642,
            "languageId": 1,
            "variantId": 15,
            "conditionId": 1
        },
        {
            "skuId": 2999708,
            "productId": 42355,
            "languageId": 1,
            "variantId": 11,
            "conditionId": 1
        }
    ]
}
Path Params
string
required

A comma-delimited list of Ids for the SKUs to be returned.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

404

No SKUs found.

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/json